Legacy CHEESE API
Centroid Embeddings
Get centroid embeddings for a specified database and search type.
This endpoint returns the centroid embeddings for a given database and search type.
Parameters:
- db_name (str): The name of the database.
- search_type (str): The type of search to perform.
- save_embs (bool): Whether to save centroid embeddings (default is False)
- dest (str): Destination path to save the centroid embeddings (default is /tmp/embeddings).
Returns:
- A JSON response containing the centroid embeddings.
Authorization
APIKeyHeader X-API-Key<token>
In: header
Query Parameters
db_name?DatabaseEnumAll
Selected Database
Default
"CHEMINFINITA-SYNTHON"Value in
- "CHEMINFINITA-SYNTHON"
- "CHEMRIYA"
- "CHEMSPACE-5B-BEYOND-RO5"
- "CHEMSPACE-5B-FREEDOM"
- "CHEMSPACE-5B-RO5"
- "CHEMSPACE-FREEDOM-SYNTHON"
- "CHEMSPACE-SCREENING"
- "EMOLECULES-EXPLORE-SYNTHON"
- "EMOLECULES-SYNPLE-SYNTHON"
- "ENAMINE-AA"
- "ENAMINE-REAL"
- "ENAMINE-REAL-V5A-SYNTHON"
- "EXPLORE-DIVERSE"
- "EXPLORE-ENUMERATED"
- "MCULE-FULL"
- "MCULE-IN-STOCK"
- "MOLECULE-ONE"
- "MOLECULEONE-D2B-SYNTHON"
- "MOLPORT"
- "SYNPLE-4B"
- "XTALPI"
- "XTALPI-SYNTHON"
- "ZINC15"
search_type?SearchTypes
The type of centroids to get
Default
"espsim_shape"Value in
- "morgan"
- "espsim_electrostatic"
- "espsim_shape"
- "synthongpt"
centroid_mols?Centroid Mols
Whether to get centroid molecules
Default
truesave_embs?Save Embs
Whether to save embeddings
Default
truecompute_centroid_mols?Compute Centroid Mols
Whether to compute centroid molecules for custom databases. Please note that depending on the size of Your database, it may take a few hours !
Default
falsedest?Dest
Destination path
Default
"/data/embeddings"Response Body
application/json
application/json
curl -X GET "https://example.com/centroid_embeddings"null